Page MenuHomeFreeBSD

Extend `USES=uniquefiles` to allow more complex operations.
ClosedPublic

Authored by mat on Dec 11 2017, 1:00 PM.

Details

Reviewers
None
Group Reviewers
portmgr
Commits
rP456737: Enhance USES=uniquefiles to be more generic.
Summary

This is primarily to get man pages renamed in a non silly way, but can be used
for many other things.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat created this revision.Dec 11 2017, 1:00 PM
mat updated this revision to Diff 36602.Dec 14 2017, 5:28 PM
  • Unfix ports that were already handling man pages.
mat updated this revision to Diff 36709.Dec 18 2017, 11:45 AM
  • Rewrite the .gz handling into a more generic way.
This revision was not accepted when it landed; it landed in state Needs Review.Dec 19 2017, 4:24 PM
This revision was automatically updated to reflect the committed changes.